Parsew
API Reference

Search the web

Run a web search and return ranked results (url, title, description). Pass a non-empty `formats` array to also scrape each result and return the requested formats inline. Costs 1 credit per search, plus 1 credit per scraped result.

POST
/search

Run a web search and return ranked results (url, title, description). Pass a non-empty formats array to also scrape each result and return the requested formats inline. Costs 1 credit per search, plus 1 credit per scraped result.

Authorization

bearerAuth
AuthorizationBearer <token>

Secret API key (sr_ prefix). Pass as Authorization: Bearer sr_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.parsew.com/v1/search" \  -H "Content-Type: application/json" \  -d '{    "query": "best web scraping APIs"  }'
{
  "results": [
    {
      "url": "string",
      "title": "string",
      "description": "string",
      "markdown": "string",
      "html": "string",
      "links": [
        "string"
      ],
      "warning": "string",
      "error": "string"
    }
  ],
  "creditsUsed": 0,
  "warning": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}